Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2655463006: PlzNavigate: Enforce 'frame-src' CSP on the browser. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 months, 4 weeks ago by arthursonzogni
Modified:
7 months ago
CC:
chromium-reviews, nasko+codewatch_chromium.org, darin-cc_chromium.org, creis+watch_chromium.org, Mike West, clamy
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

PlzNavigate: Enforce frame-src CSP on the browser. Use a NavigationThrottle to check infringement of the 'frame-src' on the browser-side. Before this patch, a redirect during the navigation could led to a child frame to be displayed inside its parent, even if it was disallowed by its parent. BUG=685074 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_site_isolation;master.tryserver.chromium.linux:linux_site_isolation,linux_chromium_browser_side_navigation_rel Review-Url: https://codereview.chromium.org/2655463006 Cr-Original-Commit-Position: refs/heads/master@{#457757} Committed: https://chromium.googlesource.com/chromium/src/+/1e3b610bfff1acd060ed8b3f595344402b833bad Review-Url: https://codereview.chromium.org/2655463006 Cr-Commit-Position: refs/heads/master@{#457945} Committed: https://chromium.googlesource.com/chromium/src/+/7fed384c1a1d7a6c89531dddbb8b539061a9e455

Patch Set 1 #

Patch Set 2 : Fix test:chrome/test/data/extensions/api_test/sandboxed_pages_csp/sandboxed.html #

Patch Set 3 : Rebase #

Patch Set 4 : Fix tests. #

Total comments: 62

Patch Set 5 : Addressed comments(alexmos@ and nasko@) #

Total comments: 16

Patch Set 6 : Addressed comments (alexmos@ #2) + Rebase from parent. #

Patch Set 7 : Add TODO in the FrameLoader. #

Total comments: 35

Patch Set 8 : Rebase from master and parent. #

Patch Set 9 : Addressed comments (nasko@) #

Patch Set 10 : Rebase. #

Patch Set 11 : Rebase. #

Patch Set 12 : Move things from the FTN to the RFH. #

Patch Set 13 : Rebase. #

Total comments: 35

Patch Set 14 : Rebase #

Patch Set 15 : Addressed comments @alexmos. #

Total comments: 3

Patch Set 16 : Rebase from clamy's patch: https://crrev.com/2727633005/ #

Patch Set 17 : Addressed comments #

Total comments: 14

Patch Set 18 : Rebase #

Patch Set 19 : Addressed comments #

Total comments: 2

Patch Set 20 : Rebase. #

Patch Set 21 : bool -> enum. #

Patch Set 22 : Rebase. #

Patch Set 23 : Add TODO for https://crbug.com/702540 and fix test expectations #

Patch Set 24 : Rebase. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+622 lines, -190 lines) Patch
M chrome/test/data/extensions/api_test/sandboxed_pages_csp/sandboxed.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 2 chunks +19 lines, -13 lines 0 comments Download
M content/browser/frame_host/ancestor_throttle.h View 2 chunks +5 lines, -0 lines 0 comments Download
M content/browser/frame_host/ancestor_throttle.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 2 chunks +39 lines, -0 lines 0 comments Download
M content/browser/frame_host/frame_tree_node.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 3 chunks +2 lines, -8 lines 0 comments Download
M content/browser/frame_host/frame_tree_node.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +2 lines, -5 lines 0 comments Download
M content/browser/frame_host/interstitial_page_navigator_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +9 lines, -9 lines 0 comments Download
M content/browser/frame_host/navigation_entry_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +2 lines, -1 line 0 comments Download
M content/browser/frame_host/navigation_handle_impl.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 4 chunks +13 lines, -2 lines 0 comments Download
M content/browser/frame_host/navigation_handle_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 3 chunks +7 lines, -4 lines 0 comments Download
M content/browser/frame_host/navigation_handle_impl_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +2 lines, -1 line 0 comments Download
M content/browser/frame_host/navigation_request.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +8 lines, -6 lines 0 comments Download
M content/browser/frame_host/navigator_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 3 chunks +5 lines, -3 lines 0 comments Download
M content/browser/frame_host/render_frame_host_impl.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 6 chunks +19 lines, -8 lines 0 comments Download
M content/browser/frame_host/render_frame_host_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 6 chunks +40 lines, -4 lines 0 comments Download
M content/browser/site_per_process_browsertest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 4 chunks +79 lines, -25 lines 0 comments Download
M content/common/content_security_policy/content_security_policy.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 3 chunks +8 lines, -6 lines 0 comments Download
M content/common/content_security_policy/csp_context.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 2 chunks +59 lines, -15 lines 0 comments Download
M content/common/content_security_policy/csp_context.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 2 chunks +31 lines, -13 lines 0 comments Download
M content/common/content_security_policy/csp_context_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 2 chunks +18 lines, -17 lines 0 comments Download
A content/common/content_security_policy/csp_disposition_enum.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +19 lines, -0 lines 0 comments Download
M content/common/content_security_policy/csp_source_list.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +1 line, -1 line 0 comments Download
M content/common/frame_messages.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 5 chunks +21 lines, -1 line 0 comments Download
M content/common/navigation_params.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 3 chunks +13 lines, -3 lines 0 comments Download
M content/common/navigation_params.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 3 chunks +6 lines, -3 lines 0 comments Download
M content/public/browser/navigation_handle.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +4 lines, -4 lines 0 comments Download
M content/public/test/render_view_test.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 2 chunks +4 lines, -2 lines 0 comments Download
M content/renderer/content_security_policy_util.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +11 lines, -6 lines 0 comments Download
M content/renderer/content_security_policy_util.cc View 1 2 3 4 5 6 7 8 9 2 chunks +21 lines, -1 line 0 comments Download
M content/renderer/render_frame_impl.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 2 chunks +3 lines, -0 lines 0 comments Download
M content/renderer/render_frame_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 4 chunks +16 lines, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/FlagExpectations/enable-browser-side-navigation View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +13 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/core/frame/LocalFrameClient.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +3 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/loader/EmptyClients.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +9 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/core/loader/EmptyClients.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/loader/FrameLoader.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 2 chunks +13 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/web/LocalFrameClientImpl.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +9 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/web/LocalFrameClientImpl.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 2 chunks +7 lines, -1 line 0 comments Download
M third_party/WebKit/Source/web/WebLocalFrameImpl.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 2 chunks +3 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/WebLocalFrameImpl.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 1 chunk +28 lines, -0 lines 0 comments Download
M third_party/WebKit/public/platform/WebContentSecurityPolicy.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +7 lines, -0 lines 0 comments Download
M third_party/WebKit/public/platform/WebContentSecurityPolicyStruct.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 2 chunks +30 lines, -0 lines 0 comments Download
M third_party/WebKit/public/web/WebFrameClient.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 3 chunks +6 lines, -1 line 0 comments Download
M third_party/WebKit/public/web/WebLocalFrame.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 2 chunks +6 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 227 (163 generated)
arthursonzogni
Hi nasko@, alexmos@ and the others(in CC) Please could you review this CL? It depends ...
8 months, 1 week ago (2017-02-10 16:42:22 UTC) #30
alexmos
Thanks, Arthur! I made a first, fairly high-level pass through this - a few questions ...
8 months, 1 week ago (2017-02-10 22:59:54 UTC) #31
nasko
Some preliminary comments from the two files I could get to. I will continue reviewing ...
8 months, 1 week ago (2017-02-11 00:01:23 UTC) #32
clamy
https://codereview.chromium.org/2655463006/diff/200001/content/browser/frame_host/frame_tree_node.h File content/browser/frame_host/frame_tree_node.h (right): https://codereview.chromium.org/2655463006/diff/200001/content/browser/frame_host/frame_tree_node.h#newcode419 content/browser/frame_host/frame_tree_node.h:419: std::unique_ptr<CSPContext> csp_context_; On 2017/02/10 22:59:53, alexmos wrote: > I'm ...
8 months, 1 week ago (2017-02-13 13:23:28 UTC) #34
arthursonzogni
Thanks for the reviews! I fixed most of the issues. It remains the questions about: ...
8 months, 1 week ago (2017-02-13 16:33:21 UTC) #36
alexmos
https://codereview.chromium.org/2655463006/diff/200001/content/browser/frame_host/frame_tree_node.h File content/browser/frame_host/frame_tree_node.h (right): https://codereview.chromium.org/2655463006/diff/200001/content/browser/frame_host/frame_tree_node.h#newcode419 content/browser/frame_host/frame_tree_node.h:419: std::unique_ptr<CSPContext> csp_context_; On 2017/02/13 13:23:28, clamy wrote: > On ...
8 months, 1 week ago (2017-02-14 05:44:28 UTC) #37
alexmos
https://codereview.chromium.org/2655463006/diff/200001/content/browser/frame_host/csp_context_impl.cc File content/browser/frame_host/csp_context_impl.cc (right): https://codereview.chromium.org/2655463006/diff/200001/content/browser/frame_host/csp_context_impl.cc#newcode22 content/browser/frame_host/csp_context_impl.cc:22: if (!current_frame_host) On 2017/02/13 16:33:20, arthursonzogni wrote: > On ...
8 months, 1 week ago (2017-02-14 06:57:20 UTC) #38
arthursonzogni
Thanks alexmos@! https://codereview.chromium.org/2655463006/diff/200001/content/browser/frame_host/csp_context_impl.cc File content/browser/frame_host/csp_context_impl.cc (right): https://codereview.chromium.org/2655463006/diff/200001/content/browser/frame_host/csp_context_impl.cc#newcode22 content/browser/frame_host/csp_context_impl.cc:22: if (!current_frame_host) On 2017/02/14 06:57:19, alexmos (OOO ...
8 months, 1 week ago (2017-02-15 09:26:10 UTC) #42
arthursonzogni
alexmos@, you asked if it would be possible to make this patch working without Plznavigate ...
8 months, 1 week ago (2017-02-15 17:02:16 UTC) #44
nasko
I'm personally ok landing this CL without unifying PlzNavigate and old navigation to behave the ...
8 months, 1 week ago (2017-02-15 21:28:45 UTC) #45
arthursonzogni
Thanks Nasko! A few response below: https://codereview.chromium.org/2655463006/diff/330001/content/browser/frame_host/csp_context_impl.h File content/browser/frame_host/csp_context_impl.h (right): https://codereview.chromium.org/2655463006/diff/330001/content/browser/frame_host/csp_context_impl.h#newcode14 content/browser/frame_host/csp_context_impl.h:14: class CSPContextImpl : ...
8 months ago (2017-02-16 17:32:41 UTC) #46
alexmos
On 2017/02/15 21:28:45, nasko (out until Feb 27th) wrote: > I'm personally ok landing this ...
8 months ago (2017-02-22 02:30:52 UTC) #70
arthursonzogni
In the latest patch, I applied suggestions from you(alexmos@) and nasko@, i.e moving the CSP ...
8 months ago (2017-02-22 13:46:22 UTC) #85
alexmos
On 2017/02/22 13:46:22, arthursonzogni wrote: > In the latest patch, I applied suggestions from you(alexmos@) ...
7 months, 4 weeks ago (2017-02-23 02:37:15 UTC) #92
arthursonzogni
Okay, I will ping him. +CC @lazyboy
7 months, 4 weeks ago (2017-02-23 16:40:51 UTC) #93
alexmos
Thanks, this is looking good! Some more comments below. https://codereview.chromium.org/2655463006/diff/240001/content/browser/frame_host/navigation_handle_impl.cc File content/browser/frame_host/navigation_handle_impl.cc (right): https://codereview.chromium.org/2655463006/diff/240001/content/browser/frame_host/navigation_handle_impl.cc#newcode462 content/browser/frame_host/navigation_handle_impl.cc:462: ...
7 months, 4 weeks ago (2017-02-24 06:40:28 UTC) #94
lazyboy
On 2017/02/23 02:37:15, alexmos wrote: > On 2017/02/22 13:46:22, arthursonzogni wrote: > > In the ...
7 months, 4 weeks ago (2017-02-24 07:52:02 UTC) #95
arthursonzogni
Thanks @lazyboy! I made a patch for removing the test: https://codereview.chromium.org/2715933002/ Thanks @alexmos for the ...
7 months, 4 weeks ago (2017-02-24 16:13:30 UTC) #108
Charlie Reis
On 2017/02/24 16:13:30, arthursonzogni wrote: > Thanks @lazyboy! I made a patch for removing the ...
7 months, 4 weeks ago (2017-02-24 21:58:35 UTC) #114
alexmos
Thanks! A couple more nits, a question for Nasko below, and we still need to ...
7 months, 3 weeks ago (2017-03-01 02:22:28 UTC) #115
nasko
https://codereview.chromium.org/2655463006/diff/330001/content/browser/frame_host/csp_context_impl.h File content/browser/frame_host/csp_context_impl.h (right): https://codereview.chromium.org/2655463006/diff/330001/content/browser/frame_host/csp_context_impl.h#newcode14 content/browser/frame_host/csp_context_impl.h:14: class CSPContextImpl : public CSPContext { On 2017/03/01 02:22:28, ...
7 months, 3 weeks ago (2017-03-03 23:16:53 UTC) #116
alexmos
https://codereview.chromium.org/2655463006/diff/330001/content/browser/frame_host/csp_context_impl.h File content/browser/frame_host/csp_context_impl.h (right): https://codereview.chromium.org/2655463006/diff/330001/content/browser/frame_host/csp_context_impl.h#newcode14 content/browser/frame_host/csp_context_impl.h:14: class CSPContextImpl : public CSPContext { On 2017/03/03 23:16:53, ...
7 months, 2 weeks ago (2017-03-03 23:40:35 UTC) #117
arthursonzogni
I was OOO the last week, I am back. Thanks everyone! I think I fixed ...
7 months, 2 weeks ago (2017-03-06 15:09:02 UTC) #123
alexmos
Thanks for all the work on this! LGTM once Nasko fixes the blocking error page ...
7 months, 1 week ago (2017-03-13 17:26:26 UTC) #124
ncarter (slow)
https://codereview.chromium.org/2655463006/diff/590001/content/common/frame_messages.h File content/common/frame_messages.h (right): https://codereview.chromium.org/2655463006/diff/590001/content/common/frame_messages.h#newcode345 content/common/frame_messages.h:345: IPC_STRUCT_TRAITS_MEMBER(should_bypass_main_world_csp) I'm wondering if we ought to consider making ...
7 months, 1 week ago (2017-03-13 18:44:29 UTC) #126
dcheng
https://codereview.chromium.org/2655463006/diff/590001/third_party/WebKit/Source/core/frame/LocalFrameClient.h File third_party/WebKit/Source/core/frame/LocalFrameClient.h (right): https://codereview.chromium.org/2655463006/diff/590001/third_party/WebKit/Source/core/frame/LocalFrameClient.h#newcode127 third_party/WebKit/Source/core/frame/LocalFrameClient.h:127: shouldCheckMainWorldContentSecurityPolicy) = 0; Main world or main frame? https://codereview.chromium.org/2655463006/diff/590001/third_party/WebKit/public/platform/WebContentSecurityPolicyStruct.h ...
7 months, 1 week ago (2017-03-13 19:02:54 UTC) #128
ncarter (slow)
https://codereview.chromium.org/2655463006/diff/590001/third_party/WebKit/Source/core/frame/LocalFrameClient.h File third_party/WebKit/Source/core/frame/LocalFrameClient.h (right): https://codereview.chromium.org/2655463006/diff/590001/third_party/WebKit/Source/core/frame/LocalFrameClient.h#newcode127 third_party/WebKit/Source/core/frame/LocalFrameClient.h:127: shouldCheckMainWorldContentSecurityPolicy) = 0; On 2017/03/13 19:02:54, dcheng wrote: > ...
7 months, 1 week ago (2017-03-13 21:18:53 UTC) #129
arthursonzogni
https://codereview.chromium.org/2655463006/diff/590001/content/common/frame_messages.h File content/common/frame_messages.h (right): https://codereview.chromium.org/2655463006/diff/590001/content/common/frame_messages.h#newcode345 content/common/frame_messages.h:345: IPC_STRUCT_TRAITS_MEMBER(should_bypass_main_world_csp) On 2017/03/13 18:44:29, ncarter wrote: > I'm wondering ...
7 months, 1 week ago (2017-03-14 15:38:57 UTC) #140
dcheng
Blink LGTM with two comments. Changing the report endpoints list to hold a URL can ...
7 months, 1 week ago (2017-03-16 08:34:47 UTC) #141
arthursonzogni
Thanks for the review! A few comments below: https://codereview.chromium.org/2655463006/diff/590001/third_party/WebKit/public/platform/WebContentSecurityPolicyStruct.h File third_party/WebKit/public/platform/WebContentSecurityPolicyStruct.h (right): https://codereview.chromium.org/2655463006/diff/590001/third_party/WebKit/public/platform/WebContentSecurityPolicyStruct.h#newcode90 third_party/WebKit/public/platform/WebContentSecurityPolicyStruct.h:90: WebVector<WebString> ...
7 months, 1 week ago (2017-03-16 15:47:37 UTC) #149
nasko
It looks like there are some tests that are failing with Site Isolation: SitePerProcessBrowserTest.CrossSiteIframeBlockedByParentCSPFromMeta SitePerProcessBrowserTest.CrossSiteIframeBlockedByCSPInheritedBySrcDocParent ...
7 months, 1 week ago (2017-03-16 22:00:33 UTC) #165
alexmos
https://codereview.chromium.org/2655463006/diff/590001/content/common/frame_messages.h File content/common/frame_messages.h (right): https://codereview.chromium.org/2655463006/diff/590001/content/common/frame_messages.h#newcode345 content/common/frame_messages.h:345: IPC_STRUCT_TRAITS_MEMBER(should_bypass_main_world_csp) On 2017/03/14 15:38:57, arthursonzogni wrote: > On 2017/03/13 ...
7 months, 1 week ago (2017-03-17 00:24:27 UTC) #166
arthursonzogni
On 2017/03/16 22:00:33, nasko (slow) wrote: > It looks like there are some tests that ...
7 months, 1 week ago (2017-03-17 09:04:07 UTC) #167
arthursonzogni
https://codereview.chromium.org/2655463006/diff/590001/content/common/frame_messages.h File content/common/frame_messages.h (right): https://codereview.chromium.org/2655463006/diff/590001/content/common/frame_messages.h#newcode345 content/common/frame_messages.h:345: IPC_STRUCT_TRAITS_MEMBER(should_bypass_main_world_csp) On 2017/03/17 00:24:27, alexmos wrote: > On 2017/03/14 ...
7 months, 1 week ago (2017-03-17 11:42:31 UTC) #179
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2655463006/790001
7 months, 1 week ago (2017-03-17 14:00:27 UTC) #184
commit-bot: I haz the power
There were warnings when CQ was processing your CL: * CQ is not running the ...
7 months, 1 week ago (2017-03-17 14:00:31 UTC) #185
commit-bot: I haz the power
There were warnings when CQ was processing your CL: * CQ is not running the ...
7 months, 1 week ago (2017-03-17 14:03:33 UTC) #186
commit-bot: I haz the power
Committed patchset #23 (id:790001) as https://chromium.googlesource.com/chromium/src/+/1e3b610bfff1acd060ed8b3f595344402b833bad
7 months, 1 week ago (2017-03-17 14:06:01 UTC) #189
nektarios
A revert of this CL (patchset #23 id:790001) has been created in https://codereview.chromium.org/2754303002/ by nektar@chromium.org. ...
7 months, 1 week ago (2017-03-17 15:46:56 UTC) #190
nektarios
A revert of this CL (patchset #23 id:790001) has been created in https://codereview.chromium.org/2756913002/ by nektar@chromium.org. ...
7 months, 1 week ago (2017-03-17 15:47:01 UTC) #191
nektarios
[5868:1532:0317/082357.173:34929421:INFO:CONSOLE(0)] "Refused to frame 'http://c.com:57177/title3.html' because it violates the following Content Security Policy directive: "frame-src ...
7 months, 1 week ago (2017-03-17 15:49:50 UTC) #192
arthursonzogni
On 2017/03/17 15:49:50, nektarios wrote: > [5868:1532:0317/082357.173:34929421:INFO:CONSOLE(0)] "Refused to frame > 'http://c.com:57177/title3.html' because it violates ...
7 months, 1 week ago (2017-03-17 15:53:56 UTC) #193
jam
On 2017/03/17 15:53:56, arthursonzogni wrote: > On 2017/03/17 15:49:50, nektarios wrote: > > [5868:1532:0317/082357.173:34929421:INFO:CONSOLE(0)] "Refused ...
7 months, 1 week ago (2017-03-17 19:24:06 UTC) #194
jam
On 2017/03/17 19:24:06, jam wrote: > On 2017/03/17 15:53:56, arthursonzogni wrote: > > On 2017/03/17 ...
7 months, 1 week ago (2017-03-17 21:53:14 UTC) #197
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2655463006/790001
7 months, 1 week ago (2017-03-17 21:53:38 UTC) #198
commit-bot: I haz the power
There were warnings when CQ was processing your CL: * CQ is not running the ...
7 months, 1 week ago (2017-03-17 21:53:43 UTC) #199
commit-bot: I haz the power
There were warnings when CQ was processing your CL: * CQ is not running the ...
7 months, 1 week ago (2017-03-17 22:02:56 UTC) #200
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/388578)
7 months, 1 week ago (2017-03-17 22:19:36 UTC) #202
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2655463006/830001
7 months, 1 week ago (2017-03-17 22:59:27 UTC) #206
commit-bot: I haz the power
There were warnings when CQ was processing your CL: * CQ is not running the ...
7 months, 1 week ago (2017-03-17 22:59:32 UTC) #207
commit-bot: I haz the power
There were warnings when CQ was processing your CL: * CQ is not running the ...
7 months, 1 week ago (2017-03-17 23:02:17 UTC) #208
commit-bot: I haz the power
There were warnings when CQ was processing your CL: * CQ is not running the ...
7 months ago (2017-03-17 23:32:54 UTC) #209
commit-bot: I haz the power
There were warnings when CQ was processing your CL: * CQ is not running the ...
7 months ago (2017-03-18 00:02:32 UTC) #210
commit-bot: I haz the power
There were warnings when CQ was processing your CL: * CQ is not running the ...
7 months ago (2017-03-18 00:32:27 UTC) #211
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/403346)
7 months ago (2017-03-18 00:54:50 UTC) #213
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2655463006/830001
7 months ago (2017-03-18 01:31:17 UTC) #215
commit-bot: I haz the power
There were warnings when CQ was processing your CL: * CQ is not running the ...
7 months ago (2017-03-18 01:31:22 UTC) #216
commit-bot: I haz the power
There were warnings when CQ was processing your CL: * CQ is not running the ...
7 months ago (2017-03-18 01:32:06 UTC) #217
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/388752)
7 months ago (2017-03-18 01:36:54 UTC) #219
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2655463006/830001
7 months ago (2017-03-18 02:25:26 UTC) #221
commit-bot: I haz the power
There were warnings when CQ was processing your CL: * CQ is not running the ...
7 months ago (2017-03-18 02:25:32 UTC) #222
commit-bot: I haz the power
There were warnings when CQ was processing your CL: * CQ is not running the ...
7 months ago (2017-03-18 02:32:09 UTC) #223
commit-bot: I haz the power
There were warnings when CQ was processing your CL: * CQ is not running the ...
7 months ago (2017-03-18 03:01:35 UTC) #224
commit-bot: I haz the power
7 months ago (2017-03-18 03:09:18 UTC) #227
Message was sent while issue was closed.
Committed patchset #24 (id:830001) as
https://chromium.googlesource.com/chromium/src/+/7fed384c1a1d7a6c89531dddbb8b...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa